Bug 1254649 - Strings not marked for translation
Strings not marked for translation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
23
All All
unspecified Severity medium
: ---
: ---
Assigned To: Matej Habrnal
Fedora Extras Quality Assurance
:
Depends On: 1255265
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 10:59 EDT by Adam Williamson
Modified: 2016-01-23 22:32 EST (History)
4 users (show)

See Also:
Fixed In Version: gnome-abrt-1.2.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-23 22:32:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing English strings (47.81 KB, image/png)
2015-08-18 10:59 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2015-08-18 10:59:55 EDT
Created attachment 1064344 [details]
screenshot showing English strings

Running the l10n test day, it seems some gnome-abrt strings are not marked for translation. I ran the app in Catalan, which is marked as 100% complete in Zanata. Still, the front page of the app shows English: for each crash the text 'quit unexpectedly' is still in English, as is the time when the crash was detected (e.g. '20 days ago'). Attaching a screenshot.
Comment 1 Matej Habrnal 2015-08-19 11:27:47 EDT
Thank you for the bug report.

The upstream commit https://github.com/abrt/gnome-abrt/commit/233345dabfcbe18adb10d5071eefb34dc537611f fixes the issue with translation of string 'quit unexpectedly'.

To show the time string, when the crash was detected (e.g. '20 days ago'), gnome-abrt uses the 'python-humanize' package. So, the translations of the time string depends on the translations of the package. At the time, the package is localized only to Russian, French, and Korean.
Comment 2 Abdel Gadiel Martínez Lassonde 2015-08-20 22:39:39 EDT
Same situation on Spanish.
Comment 3 Fedora Update System 2016-01-19 02:39:53 EST
gnome-abrt-1.2.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-266cdafe01
Comment 4 Fedora Update System 2016-01-20 18:58:37 EST
gnome-abrt-1.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-266cdafe01
Comment 5 Fedora Update System 2016-01-23 22:32:34 EST
gnome-abrt-1.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.